msgpack::type::detail Namespace Reference

## Classes

struct | convert_integer_sign
struct | convert_integer_sign< T, false >
struct | convert_integer_sign< T, true >
struct | is_signed
struct | object_char_sign
struct | object_char_sign< false >
struct | object_char_sign< true >
struct | pair_first_less

## Functions

template<typename T >
T | convert_integer (msgpack::object const &o)
void | object_char (msgpack::object &o, char v)

## Function Documentation

## convert_integer()

template<typename T >

T msgpack::type::detail::convert_integer | ( | msgpack::object const & | o | ) |

inline

References msgpack::convert().

## object_char()

void msgpack::type::detail::object_char | ( | msgpack::object & | o,
|  | char | v
| ) |  |

inline

Referenced by msgpack::adaptor::object< char >::operator()().